Subject: RE: bug#10305: coreutils-8.14, "rm -r" fails with EBADF

From: "Joachim Schmitz" <[email-masked]>
Date: Fri, 20 Jul 2012 16:54:36 +0200

> From: Eric Blake [mailto:[email-masked]]
> Sent: Friday, July 20, 2012 4:48 PM
> To: Joachim Schmitz
> Cc: 'Jim Meyering'; 'Paul Eggert'; [email-masked]; [email-masked];
> [email-masked]; 'Schmitz, Joachim'
> Subject: Re: bug#10305: coreutils-8.14, "rm -r" fails with EBADF
> 
> On 07/20/2012 08:42 AM, Joachim Schmitz wrote:
> >>> Huh? 8.17 is old? It's the latest I could get and still has src/su.c.
> >>> Anyway, that patch isn't needed for NonStop anyway, as we need an
> >>> entirely different authentication method.
> >>
> >> It's removed in git, for the upcoming 8.18 release.
> >> When you (or anyone) submit patches, we prefer that they be against
> >> the
> > latest
> >> in git.  See the file, HACKING, for coreutils contribution guidelines.
> >
> > First I'd need to get git ported to NonStop, this is on my todolist
already.
> 
> Do you have shared network drives?  It is sufficient to do a git checkout
on
> another system where git is already ported, then copy the files over to
your
> nonstop system, without you having to directly port git to nonstop.

Well, Samba is ported (and pretty current too), but the box I'm doing the
ports on is behind a firewall and I have only ssh access. And from there
http and ftp to the outside world, so I usually use wget to pull packages.
Furthermore the ports should be on a stable release

I'll look into the git business. Just a few weeks ago I started using GitHub
for some other project and really start to like it.

Bye, Jojo